/*
 ChessCheats, a chess program for the Apple iPhone.
 Copyright (C) 2011 Shawn E. Gano
 
 ChessCheats is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 ChessCheats is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
//
//  MainScreenViewController.h
//  ChessCheats
//
//  Created by sgano on 4/11/11.
//  Copyright 2011 Shawn E. Gano. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MessageUI/MessageUI.h>
#import <MessageUI/MFMailComposeViewController.h>
#import <AssetsLibrary/AssetsLibrary.h>

#import "ScreenshotOverlayView.h"
#import "ChessScreenshotModel.h"
#import "BoardViewController.h"
#import "MBProgressHUD.h"

#import "QuartzCore/QuartzCore.h"

// SEG v1.3
#import "GameController.h"

// SEG v1.1 - UIAlertViewDelegate
@interface MainScreenViewController : UIViewController <UINavigationControllerDelegate,UIImagePickerControllerDelegate,MBProgressHUDDelegate,MFMailComposeViewControllerDelegate,UIAlertViewDelegate> 
{
    IBOutlet UIImageView *_screenshotImageView;
    IBOutlet ScreenshotOverlayView *_overlayView;
    //IBOutlet UILabel *blackText;
    //IBOutlet UILabel *whiteText;
    
    //UIImage *screenshotImage;
    
    ChessScreenshotModel *chessModel;
    UIImageView *screenshotImageView;
    
    BoardViewController *viewController;
    MBProgressHUD *hud;
    
    // blank overlay fix
    UIView *savedRootView;
    
    // image picker popup for iPad
    UIPopoverController* popover;
    
    // SEG v1.1
    BOOL processingExpressLoad; // flag to keep express button from being hit more than once at a time (and crashing)
    
    // SEG v1.3
    IBOutlet UIImageView *backgroundImageView;
    
}

@property (nonatomic, retain) BoardViewController *boardViewController;
@property (nonatomic, retain) ScreenshotOverlayView *overlayView;
@property (nonatomic, retain) UIImageView *screenshotImageView;

-(IBAction)processImage;
-(void)processImage_autoOpenBoardNoErrors:(NSNumber *)autoOpenNSNumber; // SEG V1.1
-(void)processImageBackground_autoOpenBoardNoErrors:(NSNumber *)autoOpenNSNumber; // SEG v1.1 added autoOpen
-(IBAction)chooseImage;
-(IBAction)showChessBoard;
-(IBAction)edit; // toolbox icon - edit positions determined from the processing, also can add En Passant Position if needed! -- YES !!! = or maybe just a message stating to touch a spot to change what is there or add an EP spot
// Edit -- can pull up a menu from the top/bottom (as needed): with different pices... an EP an a None? -- or maybe small bar animates in with choices?
// selected square glows... ?
// ALSO -- give key for peices R, r, k,q, etc (Capital vs lowercase)

-(void)emailFEN;
-(void)closeHelpOverlay:(id)sender;
-(void)expressLoad; // SEG V1.1

//SEG v1.1
-(BOOL)loadNewImage:(UIImage *)selectedImage autoLoad:(BOOL)autoload; // returns error if not screenshot image

// SEG v1.2
-(void)showChessBoard_autoFirstMove:(NSNumber *)autoMakeFirstMoveNSNumber;

////  need to ask user -- if not sure what color they are...  and a way to correct it if wrong...

@end
