/*
 ChessCheats, a chess program for the Apple iPhone.
 Copyright (C) 2011 Shawn E. Gano
 
 ChessCheats is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 ChessCheats is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
//
//  ScreenshotOverlayView.h
//  ChessCheats
//
//  Created by sgano on 4/12/11.
//  Copyright 2011 Shawn E. Gano. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "ChessScreenshotModel.h"
#import "WEPopoverController.h"
#import "PieceChangeContentViewController.h"
#import "MoveChangeTableViewController.h"
#import "ColorChangeTableViewController.h"

@interface ScreenshotOverlayView : UIView <PopoverControllerDelegate,PieceChangeViewControllerDelegate,MoveTurnChangeViewControllerDelegate,ColorChangeViewControllerDelegate>
{
    
    UIImageView *screenshotImageView;
    
    ChessScreenshotModel *chessModel;
    
    WEPopoverController *popoverController;
    
    float lastX;
    float lastY;
    int lastXBoardCoord;
    int lastYBoardCoord;
    
}

@property (assign) ChessScreenshotModel *chessModel;
@property (assign) UIImageView *screenshotImageView;

@property (nonatomic, retain) WEPopoverController *popoverController;


//- (void) onShowMenu: (UIGestureRecognizer*) sender;
-(void)closePopups;
-(void)clearBoard;
-(void)updateDisplay;

@end
